Package com.independentsoft.office.odf.forms

# Class FormProperty

java.lang.Object
com.independentsoft.office.odf.forms.FormProperty

public class FormProperty extends Object
Defines a property that is not defined by this Standard. Each such element represents a single property, and contains its name, type and value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormProperty()`
  Initializes a new instance of the FormProperty class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormProperty`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getName()`
  Gets the name of a form or control element.
  `String`
  `getValue()`
  Gets the property.
  `FormPropertyValueType`
  `getValueType()`
  Gets the value-type ov specifies the value-type.
  `void`
  `setName​(String name)`
  Sets the name of a form or control element.
  `void`
  `setValue​(String value)`
  Sets the property.
  `void`
  `setValueType​(FormPropertyValueType valueType)`
  Sets the value-type ov specifies the value-type.
  `String`
  `toString()`
  Converts the value of the current FormProperty object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormProperty

    public FormProperty()
    Initializes a new instance of the FormProperty class.

- ## Method Details

  - ### clone

    public FormProperty clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current FormProperty object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of a form or control element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of a form or control element.
    Parameters:
      `name` - the new name

  - ### getValueType

    public FormPropertyValueType getValueType()
    Gets the value-type ov specifies the value-type.
    Returns:
      the value type

  - ### setValueType

    public void setValueType​(FormPropertyValueType valueType)
    Sets the value-type ov specifies the value-type.
    Parameters:
      `valueType` - the new value type

  - ### getValue

    public String getValue()
    Gets the property.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the property.
    Parameters:
      `value` - the new value